Get Reports

Provides a list of reports that can be passed onto GET /report/download API endpoint. You can supply month + timezone query parameters OR you can supply fromDate + toDate. The former provides you a list of all reports automatically generated by azupay whilst the latter provides you with a report for the date range specified.

Because fromDate and toDate contain special HTML entities (i.e. : and +), they must be encoded. Example: 2022-06-02T12:11:00.999+0530 must be supplied as 2022-06-02T12%3A11%3A00.999%2B0530

Query Params
string
required

Your clientId

string

The year and month

string

The fromDate in ISO8601 and encoded.

e.g. 2022-06-02T12%3A11%3A00.999%2B0530 instead of 2022-06-02T12:11:00.999+0530

string

The toDate in ISO8601 and encoded.

e.g. 2022-07-02T12%3A11%3A00.999%2B0530 instead of 2022-07-02T12:11:00.999+0530

string
enum

The timezone to apply on date/time stamps. Currently only Australia/Sydney supported.

Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json